Package: python-virtualenv / 1.11.6+ds-1

python2-default.patch Patch series | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
Description: Even though /usr/bin/virtualenv is a Python 3 script now, in
 Debian we still want to default to using Python 2 unless the -p/--python
 argument is given.
Author: Barry Warsaw <barry@debian.org>
Forwarded: not-needed

--- a/virtualenv.py
+++ b/virtualenv.py
@@ -670,9 +670,10 @@
         '-p', '--python',
         dest='python',
         metavar='PYTHON_EXE',
+        default='python2',
         help='The Python interpreter to use, e.g., --python=python2.5 will use the python2.5 '
-        'interpreter to create the new environment.  The default is the interpreter that '
-        'virtualenv was installed with (%s)' % sys.executable)
+        'interpreter to create the new environment.  The default is the python2 '
+        'interpreter on your path (e.g. /usr/bin/python2)')
 
     parser.add_option(
         '--clear',